stages:
  - build
  - test
  - deploy
  
build-stg:
  before_script:
    - export REACT_APP_SITE_URL=https://stg-website.com
  image: node:latest
  stage: build
  cache:
    paths:
      - build/
  script:
    - npm install
    - npm run build
  only:
    - master

build-prod:
  before_script:
    - export REACT_APP_SITE_URL=https://prod-website.com
  image: node:latest
  stage: build
  cache:
    paths:
      - build/
  script:
    - npm install
    - npm run build
  only:
    - master

test Junit:
  stage: test
  script: echo "Running tests 1"

test SonarQube:
  stage: test
  script: echo "Running tests 2"
    
test Jmeter:
  stage: test
  script: echo "Running tests 3"

   
deploy_staging:
  stage: deploy
  script:
    - echo "Deploy to staging server"
  environment:
    name: staging
    url: https://staging.example.com
  only:
    - master

deploy_prod:
  stage: deploy
  script:
    - echo "Deploy to production server"
  environment:
    name: production
    url: https://example.com
  when: manual
  only:
    - master